declare type StatusUpdateResource = {
    id: string;
    status: string;
    type: string;
};
declare type Resource = {
    id: string;
    status: string;
    type: string;
};
declare type RecursiveConfig = {
    stackName: string;
    minRetryInterval: number;
    maxRetryInterval: number;
    backoffRate: number;
    maxRetries: number;
    onCheck: (resources: Resource[], times: number) => void;
};
export declare type StatusUpdateInput = StatusUpdateResource[];
export declare type GetDeploymentStatusInput = {
    region?: string;
    config: RecursiveConfig;
};
export declare type Output = {
    status: string;
    message: string;
    outputs: Record<string, string>;
};
export declare function getDeployStatus(props: GetDeploymentStatusInput): Promise<Output>;
export {};
